<!DOCTYPE html>
<html <?php language_attributes(); ?>>
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title><?php if(is_front_page()){ echo' Home '; echo' | '; echo bloginfo('name'); } else { wp_title(''); echo' | '; bloginfo('name');  } ?></title>
		<?php $favicon = get_field( 'favicon', 'options' ); if ($favicon && isset($favicon)): ?>
		<link rel="icon" type="image/png" href="<?php echo $favicon['url']; ?>" sizes="32x32">
		<?php else: ?>
		<link rel="icon" type="image/png" href="<?= get_theme_file_uri(); ?>/images/icon/favicon-16x16.png" sizes="16x16">
		<link rel="icon" type="image/png" href="<?= get_theme_file_uri(); ?>/images/icon/favicon-32x32.png" sizes="32x32">
		<link rel="icon" sizes="192x192" href="<?= get_theme_file_uri(); ?>/images/icon/touch-icon-192x192.png">
		<link rel="apple-touch-icon-precomposed" sizes="180x180" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-180x180-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="152x152" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-152x152-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="144x144" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-144x144-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="120x120" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-120x120-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="114x114" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-114x114-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="76x76" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-76x76-precomposed.png">
		<link rel="apple-touch-icon-precomposed" sizes="72x72" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-72x72-precomposed.png">
		<link rel="apple-touch-icon-precomposed" href="<?= get_theme_file_uri(); ?>/images/icon/apple-touch-icon-precomposed.png">
		<?php endif; ?>
		<!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
		<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
		<!--[if lt IE 9]>
		<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
		<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
		<![endif]-->
		<?php wp_head(); ?>
	</head>
	<body <?php body_class(); ?>>
		<div id="preloader">
			<div id="spinner">
				<div class="preloader-dot-loading">
					<div class="cssload-loading"><i></i><i></i><i></i><i></i></div>
				</div>
			</div>
			<div id="disable-preloader" class="btn btn-default btn-sm">Disable Preloader</div>
		</div>

		<header class="header">
			<div class="top-bar">
				<div class="container">
					<div class="row align-center-v justify-content-center">
						<div class="col-md-6 col-sm-6 col-xs-6 col">
							<?php $contacts = get_field( 'contacts', 'options' ); if($contacts): ?>
							<ul class="list-inline">
								<?php if ($contacts['address_title']): ?>
								<li><a href="<?php echo $contacts['google_map_url']; ?>" target="_blank"><?php echo $contacts['address_title']; ?></a></li>
								<?php endif; ?>

								<?php if ($contacts['phone']): ?>
								<li><a href="tel:<?php echo $contacts['phone']; ?>"><?php echo $contacts['phone']; ?></a></li>
								<?php endif; ?>
							</ul>
							<?php endif; ?>
						</div>

						<div class="col-md-6 col-sm-6 col-xs-6 col">
							<?php if (!get_field( 'disable_language', 'options' )): ?>
							<div id="google_translate_element" class="text-right"></div>
							<script type="text/javascript">
								function googleTranslateElementInit() {
								  new google.translate.TranslateElement({pageLanguage: 'en', layout: google.translate.TranslateElement.InlineLayout.SIMPLE}, 'google_translate_element');
								}
							</script>
							<script type="text/javascript" src="//translate.google.com/translate_a/element.js?cb=googleTranslateElementInit"></script>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>

			<div class="navbar navbar-default">
			  	<div class="container align-center-v">
					<div class="navbar-header">
						<div class="logo">
						 	<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
						 		<?php $logo = get_field( 'logo', 'options' ); if ($logo): ?>
						 		<img src="<?php echo $logo['url']; ?>" class="img-responsive" alt="<?php echo $logo['alt']; ?>">
						 		<?php else: ?>
						 		<img src="<?php echo get_theme_file_uri(); ?>/images/logo.png" class="img-responsive" alt="Health Care">
						 		<?php endif; ?>
						 	</a>
						</div>

					  	<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
							<span class="icon-bar"><span class="inner"></span></span>
						  	<span class="icon-bar"><span class="inner"></span></span>
						  	<span class="icon-bar"><span class="inner"></span></span>
					  	</button>
			
					</div>
			
					<div class="collapse navbar-collapse">

					  	<?php 
					  		wp_nav_menu( array(
	                            'menu'               => 'Primary menu',
	                            'theme_location'     => 'menu-1',
	                            'depth'              => 2,
	                            'container'          => 'false',
	                            'menu_class'         => 'nav navbar-nav navbar-right',
	                            'menu_id'            => '',
	                            'fallback_cb'        => 'wp_bootstrap_navwalker::fallback',
	                            'walker'             => new wp_bootstrap_navwalker(),
	                        ));
	                    ?>
			
					</div><!-- /collapse -->
			  	</div><!-- /container-fluid -->
			</div><!--/ Navbar -->
		</header>

		<?php 
		$disable_header = get_field('disable_header', getPageID());
		$header_title = get_field('page_header_title', getPageID());

		$title = $header_title ? $header_title : get_the_title();

		if (!is_page_template('t_home.php') && !is_front_page() && !is_404() && !$disable_header): ?>
		<section class="page-header">
			<div class="container">
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="content">
							<h1 class="title text-uppercase"><?php echo customizedtitle($title); ?></h1>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /page-header -->
		<?php endif; ?>