(function ($) {
	"use strict";

    var $preloader = $('#preloader');
    $preloader.children('#disable-preloader').on('click', function(e) {
        $preloader.fadeOut();
        return false;
    });

    var $preloader = $('#preloader');
    if( $preloader.length > 0 ) {
        $preloader.delay(200).fadeOut('slow');
    }

	/*** Sticky header */
	$(window).scroll(function(){
		if($("body").scrollTop() > 0 || $("html").scrollTop() > 0) {
			$(".navbar").addClass("stop");
		} else {
			$(".navbar").removeClass("stop");
		}
	});

	$(".navbar-toggle").click(function() {
		$(this).toggleClass('in');
	});

	/*** Hover Nav menu */
	function navbarHover(){

		var screensize = $(window).width();

		if (screensize > 991) {
		   
		   $('ul.nav li.dropdown').hover(function() {
			  	$(this).find('.dropdown-menu').stop(true, true).delay(200).fadeIn(500);
			}, function() {
			  	$(this).find('.dropdown-menu').stop(true, true).delay(200).fadeOut(500);
			});
		}
	}

	$(window).on("load", function(){
		navbarHover();
	});

	$(window).on("resize", function(){
		navbarHover();
	});

	/*** Scroll To Top */
    $(window).scroll(function(){
		if($("body").scrollTop() > 600 || $("html").scrollTop() > 600) {
			$('.scrollToTop').fadeIn();
		} else {
			$('.scrollToTop').fadeOut();
		}
	});
    
    $('body').on('click', '.scrollToTop', function(e) {
        $('html, body').animate({
            scrollTop: 0
        }, 800);
        return false;
    });


    /*** Slider */
	var time = 2;
	var $bar,
	  	$slick,
	  	isPause,
	  	tick,
	  	percentTime;

	$slick = $('.banner-slider');
	$bar = $('.slider-progress .progress');

	// Animation
	$slick.on('init', function(e, slick) {
	  var $firstAnimatingElements = $('div.item:first-child').find('[data-animation]');
	  doAnimations($firstAnimatingElements);    
	});
	$slick.on('beforeChange', function(e, slick, currentSlide, nextSlide) {
	  var $animatingElements = $('div.item[data-slick-index="' + nextSlide + '"]').find('[data-animation]');
	  doAnimations($animatingElements); 
	});

	// Slider Main Settings
	$slick.slick({
	    fade: true,
	    speed: 3000,
	    dots: false,
	    arrows: true,
	    mobileFirst: true,
	    autoplaySpeed: 5000,
    	pauseOnDotsHover: true,
    	responsive: [
	    {
	      breakpoint: 1301,
	      settings: {
	        // arrows: false,
	      }
	    },
	    {
	      breakpoint: 1300,
	      settings: {
	        arrows: false,
	      }
	    },
	    {
	      breakpoint: 768,
	      settings: {
	        arrows: false,
	      }
	    },
	    {
	      breakpoint: 576,
	      settings: {
	        arrows: false,
	      }
	    }
	  ]
	});

	$slick.on({
		mouseenter: function() {
			isPause = true;
		},
		mouseleave: function() {
			isPause = false;
		}
	})

	function startProgressbar() {
		resetProgressbar();
		percentTime = 0;
		isPause = false;
		tick = setInterval(interval, 20);
	}

	function interval() {
		if(isPause === false) {
			percentTime += 1 / (time+0.1);
			$bar.css({
				width: percentTime+"%"
			});
			if(percentTime >= 100) {
				$slick.slick('slickNext');
				startProgressbar();
			}
		}
	}

	function resetProgressbar() {
	    $bar.css({
	     	width: 0+'%' 
	    });
	    clearTimeout(tick);
	}
	  
	startProgressbar();

	// Animation
	function doAnimations(elements) {
	  var animationEndEvents = 'webkitAnimationEnd mozAnimationEnd MSAnimationEnd oanimationend animationend';
	  elements.each(function() {
	    var $this = $(this);
	    var $animationDelay = $this.data('delay');
	    var $animationType = 'animated ' + $this.data('animation');
	    $this.css({
	      'animation-delay': $animationDelay,
	      '-webkit-animation-delay': $animationDelay
	    });
	    $this.addClass($animationType).one(animationEndEvents, function() {
	      $this.removeClass($animationType);
	    });
	  });
	};

	$('.logo-slider').slick({
	  	dots: false,
	  	arrows: false,
	  	infinite: true,
	  	autoplay: true,
	  	slidesToShow: 1,
	  	slidesToScroll: 1,
	  	adaptiveHeight: true
	});


	$('.carriers-including-slider').slick({
	  	dots: false,
	  	arrows: true,
	  	infinite: true,
	  	autoplay: false,
	  	slidesToShow: 4,
	  	slidesToScroll: 1,
	  	adaptiveHeight: true,
	  	responsive: [
	    {
	      breakpoint: 992,
	      settings: {
	        slidesToShow: 3
	      }
	    },
	    {
	      breakpoint: 768,
	      settings: {
	        slidesToShow: 2
	      }
	    },
	    {
	      breakpoint: 576,
	      settings: {
	        slidesToShow: 1
	      }
	    }
	  ]
	});

	/*** Animate Number */
    $('.animate-number').counterUp({
	    delay: 10,
	    time: 1000
	});

}(jQuery));