<?php
/*
Template Name: Contact Us
*/
get_header(); ?>
	
	<div id="primary" class="content-area">
			
		<section class="contact">
			<div class="container">
				<div class="row">
					<?php $contacts = get_field( 'contacts', 'options' ); if ($contacts): ?>
					<div class="col-md-4 col-sm-12 col-xs-12">
						<div class="row">
							<?php if ($contacts['address_label'] || $contacts['address_title'] || $contacts['address']): ?>
							<div class="col-md-12 col-sm-12 col-xs-12">
								<div class="quick-contact-item">
									<div class="icon pull-left">
										<i class="pe-7s-map-2"></i>
									</div>

									<div class="text">
										<?php if ($contacts['address_label']): ?>
										<strong class="title text-uppercase"><?php echo $contacts['address_label']; ?></strong>
										<?php endif; ?>

										<?php if ($contacts['address']): ?>
										<a href="<?php echo $contacts['google_map_url']; ?>" target="_blank"><?php echo $contacts['address_title']; ?><br><?php echo $contacts['address']; ?></a>
										<?php endif; ?>
									</div>
								</div>
							</div><!-- /quick-contact-item -->
							<?php endif; ?>

							<?php if ($contacts['phone_label'] || $contacts['phone']): ?>
							<div class="col-md-12 col-sm-6 col-xs-6 col">
								<div class="quick-contact-item">
									<div class="icon pull-left">
										<i class="pe-7s-call"></i>
									</div>

									<div class="text">
										<?php if ($contacts['phone_label']): ?>
										<strong class="title text-uppercase"><?php echo $contacts['phone_label']; ?></strong>
										<?php endif; ?>

										<?php if ($contacts['phone']): ?>
										<a href="tel:<?php echo $contacts['phone']; ?>"><?php echo $contacts['phone']; ?></a>
										<?php endif; ?>
									</div>
								</div>
							</div><!-- /quick-contact-item -->
							<?php endif; ?>

							<?php if ($contacts['email_label'] || $contacts['email']): ?>
							<div class="col-md-12 col-sm-6 col-xs-6 col">
								<div class="quick-contact-item">
									<div class="icon pull-left">
										<i class="pe-7s-mail"></i>
									</div>

									<div class="text">
										<?php if ($contacts['email_label']): ?>
										<strong class="title text-uppercase"><?php echo $contacts['email_label']; ?></strong>
										<?php endif; ?>

										<?php if ($contacts['email']): ?>
										<a href="mailto:<?php echo $contacts['email']; ?>"><?php echo $contacts['email']; ?></a>
										<?php endif; ?>
									</div>
								</div>
							</div><!-- /quick-contact-item -->
							<?php endif; ?>
						</div>
					</div>
					<?php endif; ?>

					<div class="col-md-8 col-sm-12 col-xs-12">
						<div class="contact-form">
							<?php $contact_form = get_field( 'contact_form' ); if ($contact_form): ?>
							<h2 class="title"><?php echo $contact_form['title']; ?></h2>
							<?php endif; ?>

							<?php echo do_shortcode('[gravityform id="1" title="false" description="false" tabindex="10" ajax="false"]'); ?>
						</div>
					</div>
				</div>
			</div>
		</section><!-- /contact -->

	</div><!-- /primary -->

<?php get_footer(); ?>