<?php
/*
Template Name: Careers
*/
get_header(); ?>

	<div id="primary" class="content-area">
		
		<?php $careers = get_field( 'careers' ); if ($careers): ?>
		<section class="careers">
			<div class="container">
				<?php if ($careers['title'] || $careers['description']): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="section-title text-center">
							<?php if ($careers['title']): ?>
							<h2 class="title text-uppercase"><?php echo $careers['title']; ?></h2>
							<?php endif; ?>

							<div class="title-icon">
			                	<img src="<?php echo get_theme_file_uri(); ?>/images/title-icon-hst.png" class="img-responsive" alt="">
			              	</div>

			              	<?php echo $careers['description']; ?>
						</div>
					</div>
				</div>
				<?php endif; ?>

				<?php if ($careers['careers_video'] || $careers['button'] || $careers['list_title'] || $careers['lists'] || $careers['image']): ?>
				<div class="row">
					<div class="col-md-12 col-sm-12 col-xs-12">
						<div class="row careers-content">
							<?php 
							if ($careers['careers_video'] || $careers['button']): 
								preg_match('/src="([^"]+)"/', $careers['careers_video'], $match);
								$url = $match[1]; 
							?>
							<div class="col-md-5 col-sm-5 col-xs-12">
								<div class="thumb text-center">
									<iframe width="100%" height="300" src="<?php echo $url; ?>" frameborder="0" allowfullscreen></iframe>

									<?php if ($careers['button']['text']): ?>
										<?php if ($careers['button']['type'] == 'internal'): ?>
											<a href="<?php echo $careers['button']['internal_url'] ?>" class="btn"><?php echo $careers['button']['text']; ?></a>
										<?php elseif($careers['button']['type'] == 'external'): ?>
											<a href="<?php echo $careers['button']['external_url'] ?>" class="btn" target="_blank"><?php echo $careers['button']['text']; ?></a>
										<?php endif; ?>
									<?php endif; ?>
								</div>
							</div>
							<?php endif; ?>

							<?php if ($careers['list_title'] || $careers['lists']): ?>
							<div class="col-md-6 col-sm-6 col-xs-12">
								<div class="content">
									<?php if ($careers['list_title']): ?>
									<h1 class="title"><?php echo $careers['list_title']; ?></h1>
									<?php endif; ?>

									<?php if ($careers['lists']): ?>
									<ul class="list-unstyled list-icon">
										<?php foreach ($careers['lists'] as $career): ?>
										<li><?php echo $career['item']; ?></li>
										<?php endforeach; ?>
									</ul>
									<?php endif; ?>
								</div>
							</div>
							<?php endif; ?>

							<?php if ($careers['image']): ?>
							<div class="col-md-12 col-sm-12 col-xs-12">
								<div class="row align-center-v justify-content-center">
									<?php foreach ($careers['image'] as $image): ?>
									<div class="col-md-5 col-sm-5 col-xs-12">
										<img src="<?php echo $image['image']['url']; ?>" class="img-responsive" alt="<?php echo $image['image']['alt']; ?>">
									</div>
									<?php endforeach; ?>
								</div>
							</div>
							<?php endif; ?>
						</div>
					</div>
				</div>
				<?php endif; ?>
			</div>
		</section><!-- /careers -->
		<?php endif; ?>

	</div><!-- /primary -->


<?php get_footer(); ?>